org.apache.solr.search.stats

## Class StatsUtil

- java.lang.Object
- - org.apache.solr.search.stats.StatsUtil

-     public class StatsUtil
      extends Object

  Various utilities for de/serialization of term stats and collection stats.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,CollectionStats>` | `colStatsMapFromString(String data)`
    `static String` | `colStatsMapToString(Map<String,CollectionStats> stats)`
    `static String` | `colStatsToString(CollectionStats colStats)` Make a String representation of `CollectionStats`
    `static Map<String,TermStats>` | `termStatsMapFromString(String data)`
    `static String` | `termStatsMapToString(Map<String,TermStats> stats)`
    `static String` | `termStatsToString(TermStats termStats, boolean includeTerm)`
    `static String` | `termToString(Term t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatsUtil

          public StatsUtil()

  - ### Method Detail

    - #### colStatsToString

          public static String colStatsToString(CollectionStats colStats)

      Make a String representation of `CollectionStats`

    - #### termToString

          public static String termToString(Term t)

    - #### termStatsToString

          public static String termStatsToString(TermStats termStats,
                                                 boolean includeTerm)

    - #### colStatsMapFromString

          public static Map<String,CollectionStats> colStatsMapFromString(String data)

    - #### colStatsMapToString

          public static String colStatsMapToString(Map<String,CollectionStats> stats)

    - #### termStatsMapFromString

          public static Map<String,TermStats> termStatsMapFromString(String data)

    - #### termStatsMapToString

          public static String termStatsMapToString(Map<String,TermStats> stats)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.